import { Log } from "hubot";
import { InternalRobot } from "../internals";
import { ITool, ICommand, ICommandResolverResultDebugInfo } from "../types";
export declare class CommandResolver {
    private robot;
    constructor(robot: InternalRobot);
    resolve(res: Hubot.Response): CommandResolverResult | null;
    resolveFromTool(tool: ITool, res: Hubot.Response): CommandResolverResult;
}
export declare class CommandResolverResult {
    tool: ITool;
    command: ICommand;
    authorized: Boolean;
    match: RegExpExecArray;
    values: Record<string, any>;
    text: string;
    user: Hubot.User;
    log(logger: Log): void;
    getDebugInfo(): ICommandResolverResultDebugInfo;
}
