import { ICommand, IContext } from "../../types";
interface IHelpCommand extends ICommand {
    /**
     * Called when the command is invoked. The parameters show the
     * scope in which the command was called. The match contains
     * captured information.
     *
     * @param {IContext} [context] The context of the help tool that is created.
     * @param {string} [helpMsgPrefix] The prefix that should be shown before printing the help.
     * @param {string} [noHelpMsg] The message that is shown when no help is available.
     * @memberof ICommand
     */
    execute(context: IContext, helpMsgPrefix?: string, noHelpMsg?: string): void;
}
export default function createHelpCommand(): IHelpCommand;
export {};
