"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultOptions = exports.Options = void 0;
class Options {
    constructor() {
        this.addDebugCommand = getB("HCM_ADD_DEBUG_COMMAND", false);
        this.addHelpCommand = getB("HCM_ADD_HELP_COMMAND", true);
        this.showInvalidSyntax = getB("HCM_SHOW_INVALID_SYNTAX", true);
        this.showHelpOnInvalidSyntax = getB("HCM_SHOW_HELP_ON_INVALID_SYNTAX", true);
        this.invalidSyntaxMessage = getS("HCM_INVALID_SYNTAX_MESSAGE", "invalid syntax.");
        this.invalidSyntaxHelpPrefix = getS("HCM_INVALID_SYNTAX_HELP_PREFIX", "sorry, I don't understand. Maybe you could try:\n- ");
        this.notAuthorizedMessage = getS("HCM_NOT_AUTHORIZED_MESSAGE", "sorry, you are not authorized to use this command.");
    }
}
exports.Options = Options;
function getS(name, defaultValue) {
    let value = process.env[name];
    if (!value) {
        value = defaultValue;
    }
    return value;
}
function getB(name, defaultValue) {
    let value = process.env[name];
    if (!value) {
        value = defaultValue.toString();
    }
    return value === "true";
}
const defaultOptions = new Options();
exports.defaultOptions = defaultOptions;
Object.freeze(defaultOptions);
