"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AnyParameter = void 0;
const ParameterBase_1 = require("./ParameterBase");
/**
 * The "any" parameter captures anything until a new parameter is met.
 * @class RestParameter
 * @extends {ParameterBase}
 */
class AnyParameter extends ParameterBase_1.ParameterBase {
    /**
     * Captures everything until the end of the string.
     *
     * @readonly
     * @memberof RestParameter
     */
    get regex() {
        return `.+`;
    }
    /**
     * Creates an instance of AnyParameter.
     * @param {string} name The name of the parameter. Can be used to identify the parameter value as well.
     * @param {any} [defaultValue=null] When a value is given, the parameter becomes optional.
     * @memberof AnyParameter
     */
    constructor(name, defaultValue = null) {
        super(name, defaultValue);
    }
}
exports.AnyParameter = AnyParameter;
