import { ParameterBase } from "./ParameterBase";
/**
 * Parameter that has a fixed set of values. Remember all values
 * are not case sensitive.
 *
 * @export
 * @class ChoiceParameter
 * @extends {ParameterBase}
 */
export declare class ChoiceParameter extends ParameterBase {
    values: string[];
    defaultValue: string;
    /**
     * Will only capture the choices.
     *
     * @readonly
     * @memberof ChoiceParameter
     */
    get regex(): string;
    /**
     * Creates an instance of ChoiceParameter.
     * @param {string} name The name of the parameter. Can be used to identify the parameter value as well.
     * @param {string[]} values The array of possible values.
     * @param {any} [defaultValue=null] When a value is given, the parameter becomes optional.
     * @memberof ChoiceParameter
     */
    constructor(name: string, values: string[], defaultValue?: string);
}
