import { NumberStyle } from "./NumberStyle";
import { NumberParameter } from "./NumberParameter";
import { FractionStyle } from "./FractionStyle";
export declare class FractionParameter extends NumberParameter {
    style: FractionStyle;
    /**
     * Captures the sign (when specified), both numbers of the
     * fraction and the sperator.
     *
     * @readonly
     * @memberof FractionParameter
     */
    get regex(): string;
    /**
     *Creates an instance of FractionParameter.
     * @param {string} name The name of the parameter.
     * @param {any} [defaultValue=null] When a value is given, the parameter becomes optional.
     * @param {NumberStyle} [numberStyle=NumberStyle.Both] The style of the number (positive, negative, both).
     * @param {FractionStyle} [style=FractionStyle.Both] The style of the fraction (dot, comma or both).
     * @memberof FractionParameter
     */
    constructor(name: string, defaultValue?: any, numberStyle?: NumberStyle, style?: FractionStyle);
}
