import { ParameterBase } from "./ParameterBase";
/**
 * Captures IP v4 addresses.
 *
 * @export
 * @class IPv4Parameter
 * @extends {ParameterBase}
 */
export declare class IPv4Parameter extends ParameterBase {
    supportPrefix: boolean;
    /**
     *
     * @param name The name of the parameter.
     * @param defaultValue The default value of the parameter. When a default value is specified, the parameter becomes optional.
     * @param supportPrefix When a prefix is supported an ip address with the prefix (like /24) is also valid input.
     */
    constructor(name: string, defaultValue?: string | null, supportPrefix?: boolean);
    /**
     * The regular expression.
     *
     * @readonly
     * @memberof IPv4Parameter
     */
    get regex(): string;
}
