import { ParameterBase } from "./ParameterBase";
import { NumberStyle } from "./NumberStyle";
/**
 * This parameter will capture natural numbers.
 *
 * @export
 * @class NumberParameter
 * @extends {ParameterBase}
 * @implements {IOptionalParameter}
 */
export declare class NumberParameter extends ParameterBase {
    numberStyle: NumberStyle;
    /**
     * Captures the optional minus sign, as well
     * as the whole number.
     *
     * @readonly
     * @memberof NumberParameter
     */
    get regex(): string;
    /**
     * Creates an instance of NumberParameter.
     * @param {string} name The name of the parameter. Can be used to identify the parameter value as well.
     * @param {any} [defaultValue=null] When a value is given, the parameter becomes optional.
     * @memberof NumberParameter
     */
    constructor(name: string, defaultValue?: Number | null, numberStyle?: NumberStyle);
}
