import { ParameterBase } from "./ParameterBase";
/**
 * Uses a regular expression to capture the value.
 *
 * @export
 * @class RegExStringParameter
 * @extends {ParameterBase}
 */
export declare class RegExStringParameter extends ParameterBase {
    regexString: string;
    defaultValue: string;
    /**
     * Uses the regexStrig to capture the value. Values can also be written
     * between quotes.
     *
     * @readonly
     * @memberof RegExStringParameter
     */
    get regex(): string;
    /**
     * Creates an instance of RegExStringParameter.
     * @param {string} name The name of the parameter.
     * @param {string} regexString This regex string will be added to the regex that captures the value.
     * @param {any} [defaultValue=null] When a value is given, the parameter becomes optional.
     * @memberof RegExStringParameter
     */
    constructor(name: string, regexString: string, defaultValue?: string);
}
export declare class RegExParameter extends ParameterBase {
    regexString: string;
    defaultValue: string;
    /**
     * Uses the regexStrig to capture the value. Values can also be written
     * between quotes.
     *
     * @readonly
     * @memberof RegExStringParameter
     */
    get regex(): string;
    /**
     * Creates an instance of RegExStringParameter.
     * @param {string} name The name of the parameter.
     * @param {string} regexString This regex string will be added to the regex that captures the value.
     * @param {any} [defaultValue=null] When a value is given, the parameter becomes optional.
     * @memberof RegExStringParameter
     */
    constructor(name: string, regexString: string, defaultValue?: string);
}
