"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getValues = void 0;
const regex_1 = require("../../utils/regex");
const named_regexp_groups_1 = __importDefault(require("named-regexp-groups"));
function getValues(robotName, robotAlias, tool, command, message) {
    let collection = {};
    if (command.parameters) {
        let r = (0, regex_1.convertCommandIntoRegexString)(robotName, robotAlias, tool, command, true);
        let nr = new named_regexp_groups_1.default(r, "si");
        let answer = nr.exec(message).groups;
        for (let parameter of command.parameters) {
            let value = answer[parameter.name];
            if (value == null) {
                value = parameter.defaultValue;
            }
            collection[parameter.name] = value;
        }
    }
    return collection;
}
exports.getValues = getValues;
