"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.map_command = void 0;
const options_1 = require("../entities/options");
const map_tool_1 = require("./map_tool");
function map_command(robot, command, args) {
    let callback = args.find(a => a instanceof Function);
    if (!callback)
        throw "Missing callback function.";
    let parameters = args.filter(a => a.name);
    let options = args.find(a => a.addDebugCommand ||
        a.addHelpCommand ||
        a.invalidSyntaxHelpPrefix ||
        a.invalidSyntaxMessage ||
        a.notAuthorizedMessage ||
        a.replacedByBot ||
        a.showHelpOnInvalidSyntax ||
        a.showInvalidSyntax) || options_1.defaultOptions;
    let tool = {
        name: command,
        commands: [
            {
                name: "cmd",
                parameters: parameters,
                alias: [""],
                execute: context => callback(context)
            }
        ]
    };
    (0, map_tool_1.map_tool)(robot, tool, options);
}
exports.map_command = map_command;
