/// <reference types="hubot" />
import { IOptions } from "../entities/options";
import { InternalTool } from "../internals";
/**
 * Maps the specified tool to the Robot.
 *
 * @export
 * @param {NodeModule} caller The caller.
 * @param {NodeModule} packageModule The package module.
 * @param {IRobot} robot The robot.
 * @param {ITool} tool The tool that will be mapped.
 * @param {IOptions} [options] The options for this specific mapping.
 */
export declare function map_tool(robot: Hubot.Robot, tool: InternalTool, options?: IOptions): void;
