"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addDiagnosticsMiddleware = void 0;
const CommandResolver_1 = require("../entities/CommandResolver");
function addDiagnosticsMiddleware(robot, callback) {
    if (!robot)
        throw "Argument 'robot' is empty.";
    if (!callback)
        throw "Argument 'callback' is empty.";
    robot.receiveMiddleware(async (context) => {
        const resolver = new CommandResolver_1.CommandResolver(robot);
        const action = resolver.resolve(context.response);
        if (action) {
            const debug = action.getDebugInfo();
            callback(debug);
        }
        return true;
    });
}
exports.addDiagnosticsMiddleware = addDiagnosticsMiddleware;
