"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeMarkdownFromIncomingMessages = void 0;
const remove_markdown_1 = __importDefault(require("remove-markdown"));
function removeMarkdownFromIncomingMessages(robot) {
    if (!robot)
        throw "Argument 'robot' is empty.";
    robot.receiveMiddleware(async (context) => {
        const text = context.response.message.text;
        if (text) {
            let newText = (0, remove_markdown_1.default)(text);
            if (text != newText) {
                context.response.message.text = newText;
            }
        }
        return true;
    });
}
exports.removeMarkdownFromIncomingMessages = removeMarkdownFromIncomingMessages;
