"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeTrailingBotWhitespaceCharactersFromIncomingMessages = void 0;
const switches_1 = require("../utils/switches");
const regex_1 = require("../utils/regex");
const SWITCH = "rtbwcfim";
function removeTrailingBotWhitespaceCharactersFromIncomingMessages(robot) {
    if (!robot)
        throw "Argument 'robot' is empty.";
    if ((0, switches_1.hasSwitch)(robot, SWITCH)) {
        if (robot.logger) {
            robot.logger.info("The fix trailing spaces after bot middleware has already been registered.");
        }
        return;
    }
    (0, switches_1.setSwitch)(robot, SWITCH);
    const robotNameRegexString = (0, regex_1.convertBotNameIntoRegexString)(robot.name, robot.alias);
    robot.receiveMiddleware(async (context) => {
        const text = context.response.message.text;
        if (text) {
            const newText = text.replace(new RegExp(`(${robotNameRegexString})\\s+`, "si"), "$1 ");
            if (text != newText) {
                context.response.message.text = newText;
            }
        }
        return true;
    });
}
exports.removeTrailingBotWhitespaceCharactersFromIncomingMessages = removeTrailingBotWhitespaceCharactersFromIncomingMessages;
