"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeTrailingWhitespaceCharactersFromIncomingMessages = void 0;
const switches_1 = require("../utils/switches");
const SWITCH = "rtwcfim";
function removeTrailingWhitespaceCharactersFromIncomingMessages(robot) {
    if (!robot)
        throw "Argument 'robot' is empty.";
    if ((0, switches_1.hasSwitch)(robot, SWITCH)) {
        if (robot.logger)
            robot.logger.info("The fix trailing spaces middleware has already been registered.");
        return;
    }
    (0, switches_1.setSwitch)(robot, SWITCH);
    robot.receiveMiddleware(async (context) => {
        var text = context.response.message.text;
        if (text) {
            var newText = text.replace(/\s+$/, "");
            if (text != newText) {
                context.response.message.text = newText;
            }
        }
        return true;
    });
}
exports.removeTrailingWhitespaceCharactersFromIncomingMessages = removeTrailingWhitespaceCharactersFromIncomingMessages;
